Skip to main content
GET
/
api
/
v1
/
sessions
/
timeline
/
{session_id}
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";

const syllableSDK = new SyllableSDK({
  apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});

async function run() {
  const result = await syllableSDK.sessions.timeline.getById({
    sessionId: "<id>",
  });

  console.log(result);
}

run();
{
  "session_id": "<string>",
  "events": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "offset": "<string>",
      "turn_index": 123,
      "source": "<string>",
      "text": "<string>",
      "lang": "<string>",
      "category": "tool",
      "label": "holiday_check",
      "metadata": [
        "Gpt-4.1",
        "OpenAI"
      ],
      "duration_ms": 123,
      "tool_request": "<string>",
      "tool_result": "<string>",
      "tool_error": "<string>"
    }
  ],
  "session_start": "2023-11-07T05:31:56Z"
}

Authorizations

Syllable-API-Key
string
header
required

Path Parameters

session_id
string
required

Response

Successful Response

Consolidated, time-ordered timeline of a session's events.

session_id
string
required

Internal ID of the session

events
TimelineEvent · object[]
required

All events, ordered by timestamp ascending

session_start
string<date-time> | null

Timestamp of the first event; the zero point for all offsets